SDL_GetNumJoystickBalls(3)

NAME
SDL_GetNumJoystickBalls - Get the number of trackballs on a joystick.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

int SDL_GetNumJoystickBalls(SDL_Joystick *joystick);

DESCRIPTION
Joystick trackballs have only relative motion events associated with them and their state cannot be polled.

Most joysticks do not have trackballs.

FUNCTION PARAMETERS

joystick
    an SDL_Joystick structure containing joystick information.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetJoystickBall(3), SDL_GetNumJoystickAxes(3), SDL_GetNumJoystickButtons(3), SDL_GetNumJoystickHats(3)